package intrinsic.mx.collections;

public class XMLListCollection extends intrinsic.mx.collections.ListCollectionView {

	/** Accessors */
	public intrinsic.XMLList source;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public XMLListCollection() {
}

public XMLListCollection(Object arg0) {
}


/** Static Methods */

/** Methods */
public native intrinsic.XMLList child(Object arg0);
public native String toString();
public native intrinsic.XMLList copy();
public native intrinsic.XMLList elements();
public native intrinsic.XMLList elements(String arg0);
public native intrinsic.XMLList text();
public native intrinsic.XMLList children();
public native String toXMLString();
public native intrinsic.XMLList descendants();
public native intrinsic.XMLList descendants(Object arg0);
public native intrinsic.XMLList attribute(Object arg0);
public native intrinsic.XMLList attributes();

}
